org.apache.lucene.analysis.sinks

## Class TokenTypeSinkFilter

- java.lang.Object
- - org.apache.lucene.analysis.TeeSinkTokenFilter.SinkFilter
  - - org.apache.lucene.analysis.sinks.TokenTypeSinkFilter

-     public class TokenTypeSinkFilter
      extends TeeSinkTokenFilter.SinkFilter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenTypeSinkFilter(java.lang.String typeToMatch)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(AttributeSource source)` Returns true, iff the current state of the passed-in `AttributeSource` shall be stored in the sink.

    - ### Methods inherited from class org.apache.lucene.analysis.TeeSinkTokenFilter.SinkFilter

      `reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenTypeSinkFilter

          public TokenTypeSinkFilter(java.lang.String typeToMatch)

  - ### Method Detail

    - #### accept

          public boolean accept(AttributeSource source)

      Description copied from class: `TeeSinkTokenFilter.SinkFilter`
      Returns true, iff the current state of the passed-in `AttributeSource` shall be stored in the sink.
      Specified by:
        `accept` in class `TeeSinkTokenFilter.SinkFilter`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.